hiutil(1)

NAME
hiutil - utility for creating and examining Help Viewer indices

SYNOPSIS
hiutil -Cf file [-1agv] [-m NUM] [-s LANG | PATH] [-r URL] [-t EXT] dir
hiutil [-ADEFMRS] -f file

DESCRIPTION
hiutil is for creating and examining .helpindex files. These files were historically created by Help Indexer.app, which now calls this tool.

There are several different (and mutually-exclusive) modes:

-C, --create
    Create an index file at the location you specify. You must provide both a directory of HTML files to index and path to an output file, which will be overwritten if it exists.

-A, --list-anchors
    List the index's anchors separated by newlines.

-D, --list-anchor-dictionary
    List the index's anchor dictionary in XML. This includes a list of which files contain each anchor.

-E, --list-index-versions
    List the index's version dictionary in XML. It describes the system environment on which the index was created.

-F, --list-files
    List all the files included in the index, separated by newlines. You can use the -v option with this mode to get titles and descriptions as well.

-H, --help
    Prints out usage data.

-M, --list-min-term-length
    List the index's minimum term length.

-R, --list-remote-url
    List the index's remote URL. (This is only relevant for old-style indexes which include one.)

-S, --list-stopwords
    List the index's stopwords separated by newlines.

-V, --version
    Prints out the version of the tool.

GENERAL OPTIONS
These can be used with any mode.

-f, --file
    P ass in the path to a file, either one to be created or one to be examined.

-v, --verbose
    Verbose output. Errors are always shown, but passing this argument once will print out warnings too. Twice will print out errors, warnings and progress notes. This can be a lot of data!

CREATE OPTIONS
These can only be used with the create mode.

-1  Index one file at a time. The default is to use a queue to index several files in parallel. In combination with -vvv, this option can be useful in determining which file an error message is from.

-a, --anchors
    Index anchors. The default is not to. Without this flag, there will be no anchor dictionary in the index.

-e, --exclude=PATTERN
    Exclude files which match this pattern. Uses NSPredicate's MATCHES comparison method on the file's path relative to the directory being indexed. This option can be passed as many times as necessary, once per pattern. Exclusions take precedence over files included with -i.

-g, --generate-summaries
    Generate summary text. This can be slow, but is useful if you don't have DESCRIPTION meta tags on some pages.

-i, --include=PATTERN
    Include files which match this pattern. Uses NSPredicate's MATCHES comparison method on the file's path relative to the directory being indexed. The default patterns to index are ".htm" and ".html". If these defaults are undesirable, you may use -e above to exclude them. This option can be passed as many times as necessary, once per pattern.

-m, --min-term-length=NUM
    Minimum term length. Can be 1, 2 or 3. This is the number of consecutive tokens (typically a character) required for a term not to be ignored by the indexer. Recommended values are 3 for English and 1 for Chinese and other ideographic languages.

-s, --stopwords=LANG|PATH
    Use stopwords. If you have your own stopwords .plist, provide that path. Otherwise, pass the two-character language code:

    en  English
    es  Spanish
    de  German
    fr  French
    hu  Hungarian
    it  Italian
    sv  Swedish

-r, --remote-url=URL
    Include a remote URL with the index. This is only useful in Type 1 or Type 2 help books, because the URL is in the help bundle's Info.plist for Type 3 books. The URL should be fully qualified, for example:

-l, --locale=LANG
    Index for a specific locale. Instead of having to boot into the locale to index, pass the language code or locale identifier here to index for that language. Example locale identifiers:

    en_US
        US English
    es_ES
        Spanish
    de  German
    fr  French
    hu  Hungarian
    ru_RU
        Russian

        https://www.mycompany.com/help_v1/

FILES
/usr/share/hiutil/Stopwords.plist
    List of default stopwords in different languages

EXAMPLES
Here's what you'll mostly use this tool for, creating a help index:

    hiutil -Caf /tmp/myhelp.helpindex myHelpDirectory

And if you then want to make sure that worked as expected:

    hiutil -Af /tmp/myhelp.helpindex

Here's how to index .xml files as well, while ignoring everything in the idx directory in the root of your help folder:

    hiutil -Caf /tmp/help.helpindex -i .*.xml$ -e idx/.* myhelpdir

NOTES
hiutil requires Mac OS X 10.6 or greater.